Bug 96351 - [CTS,SKL,KBL,BXT] es2-cts.gtf.gl2extensiontests.egl_image.egl_image
Summary: [CTS,SKL,KBL,BXT] es2-cts.gtf.gl2extensiontests.egl_image.egl_image
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium critical
Assignee: Jordan Justen
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 96253
  Show dependency treegraph
 
Reported: 2016-06-03 01:31 UTC by Mark Janes
Modified: 2016-06-24 13:50 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2016-06-03 01:31:47 UTC
/tmp/build_root/m64/bin/cts/glcts --deqp-case=ES2-CTS.gtf.GL2ExtensionTests.egl_image.egl_image
dEQP Core GL-CTS-2.0 (0x0052484b) starting..
  target implementation = 'intel-gbm'

Test case 'ES2-CTS.gtf.GL2ExtensionTests.egl_image.egl_image'..

Standard Error

glcts: /home/jenkins/workspace/Leeroy_2/repos/mesa/src/mesa/main/teximage.c:822: init_teximage_fields_ms: Assertion `img->_BaseFormat != -1' failed.


Bisected to
Author:     Kristian Høgsberg Kristensen <krh@bitplanet.net>
i965: Add new intel_set_texture_image_mt() helper

This factors out the work of setting up a miptree as the backing for a
texture image into a new helper.

Reviewed-by: Jordan Justen <jordan.l.justen@intel.com>
Reviewed-by: Chad Versace <chad.versace@intel.com>
Comment 1 Kenneth Graunke 2016-06-06 18:26:13 UTC
This appears to be working for me.  Maybe we should compare CTS snapshots and patches...
Comment 2 Kenneth Graunke 2016-06-06 18:27:15 UTC
Oh, but I tested on Broadwell.  I just noticed the bug claims to be against SKL/KBL/BXT.
Comment 3 Mark Janes 2016-06-21 23:51:29 UTC
With recent mesa, this test fails instead of asserts:
/tmp/build_root/m64/bin/cts/glcts --deqp-case=ES2-CTS.gtf.GL2ExtensionTests.egl_image.egl_image
dEQP Core GL-CTS-2.0 (0x0052484b) starting..
  target implementation = 'intel-gbm'

Test case 'ES2-CTS.gtf.GL2ExtensionTests.egl_image.egl_image'..
#+ GL error produced in checkpoint 4
#+ GL error produced in checkpoint 4
  Fail (Fail)

DONE!

Test run totals:
  Passed:        0/1 (0.00%)
  Failed:        1/1 (100.00%)
  Not supported: 0/1 (0.00%)
  Warnings:      0/1 (0.00%)
Comment 4 Chad Versace 2016-06-22 16:52:05 UTC
Jordan, just letting you know that I'll be looking at the bug too today.
Comment 5 Jordan Justen 2016-06-22 17:38:14 UTC
I do have a patch that fixes the test case now. I'll verify
it further with Jenkins...
Comment 6 Jordan Justen 2016-06-23 07:02:17 UTC
https://patchwork.freedesktop.org/patch/94635/
Comment 7 Mark Janes 2016-06-24 13:32:38 UTC
fixed in c36a363a2d305a987ef2ea843fe9fc860b576eed


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.